### Method

# Foundry ModelManager flatten

#### Declaration [src]

    GListModel*
    foundry_model_manager_flatten (
      FoundryModelManager* self,
      GListModel* model
    )

#### Description

No description available.

#### Parameters

`model`

  Type: `GObject`

  A `GListModel`.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: A list model of `GObject`

No description available.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.